librime: rime::MergedTranslation Class Reference

| librime 1.2 Rime Input Method Engine, the core library

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
rime::MergedTranslation Class Reference

`#include <translation.h>`

Inheritance diagram for rime::MergedTranslation:
[legend]
Collaboration diagram for rime::MergedTranslation:
[legend]

## Public Member Functions
| MergedTranslation (const CandidateList &previous_candidates)
bool | Next ()
an< Candidate > | Peek ()
MergedTranslation & | operator+= (an< Translation > t)
size_t | size () const
Public Member Functions inherited from rime::Translation
| Translation ()=default
virtual | ~Translation ()=default
virtual int | Compare (an< Translation > other, const CandidateList &candidates)
bool | exhausted () const

## Protected Member Functions
void | Elect ()
Protected Member Functions inherited from rime::Translation
void | set_exhausted (bool exhausted)

## Protected Attributes
const CandidateList & | previous_candidates_
vector< of< Translation > > | translations_
size_t | elected_ = 0

## Constructor & Destructor Documentation

## ◆ MergedTranslation()

rime::MergedTranslation::MergedTranslation | ( | const CandidateList & | previous_candidates | ) |
| explicit

## Member Function Documentation

## ◆ Elect()

void rime::MergedTranslation::Elect | ( |  | ) |
| protected

## ◆ Next()

bool rime::MergedTranslation::Next | ( |  | ) |
| virtual

Implements rime::Translation.

## ◆ operator+=()

MergedTranslation & rime::MergedTranslation::operator+= | ( | an< Translation > | t | ) |

## ◆ Peek()

an< Candidate > rime::MergedTranslation::Peek | ( |  | ) |
| virtual

Implements rime::Translation.

## ◆ size()

size_t rime::MergedTranslation::size | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ elected_

size_t rime::MergedTranslation::elected_ = 0
| protected

## ◆ previous_candidates_

const CandidateList& rime::MergedTranslation::previous_candidates_
| protected

## ◆ translations_

vector<of<Translation> > rime::MergedTranslation::translations_
| protected

The documentation for this class was generated from the following files:

- translation.h
- translation.cc